> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coderabbit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List runtime validation attempts for a finding



## OpenAPI

````yaml /openapi.json get /v1/security/repositories/{repository_id}/validations
openapi: 3.0.3
info:
  title: CodeRabbit API spec
  version: 1.0.0
servers:
  - url: https://api.coderabbit.ai
security:
  - ApiKeyAuth: []
paths:
  /v1/security/repositories/{repository_id}/validations:
    get:
      tags:
        - Security
      summary: List runtime validation attempts for a finding
      operationId: list_security_runtime_validations
      parameters:
        - name: repository_id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 255
        - name: org_id
          in: query
          required: false
          schema:
            type: string
            minLength: 1
          allowEmptyValue: true
          allowReserved: true
        - name: finding_identity_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
          allowEmptyValue: true
          allowReserved: true
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 25
          allowEmptyValue: true
          allowReserved: true
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 4096
            description: >-
              Opaque next_cursor from the previous page. Keep the same
              repository and finding identity.
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  attempts:
                    type: array
                    items:
                      anyOf:
                        - anyOf:
                            - type: object
                              properties:
                                schemaVersion:
                                  enum:
                                    - 1
                                status:
                                  enum:
                                    - pending
                                locator:
                                  type: object
                                  properties:
                                    schemaVersion:
                                      enum:
                                        - 1
                                    validationId:
                                      type: string
                                      format: uuid
                                    organizationId:
                                      type: string
                                      format: uuid
                                    workspaceId:
                                      type: string
                                      format: uuid
                                    repository:
                                      type: object
                                      properties:
                                        provider:
                                          enum:
                                            - github
                                            - gitlab
                                            - bitbucket
                                            - azure-devops
                                          type: string
                                        id:
                                          type: string
                                          minLength: 1
                                          maxLength: 256
                                      required:
                                        - provider
                                        - id
                                      additionalProperties: false
                                    findingIdentityId:
                                      type: string
                                      format: uuid
                                    findingOccurrenceId:
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                    scanId:
                                      type: string
                                      format: uuid
                                  required:
                                    - schemaVersion
                                    - validationId
                                    - organizationId
                                    - workspaceId
                                    - repository
                                    - findingIdentityId
                                    - findingOccurrenceId
                                    - scanId
                                  additionalProperties: false
                                progress:
                                  anyOf:
                                    - type: object
                                      properties:
                                        schemaVersion:
                                          enum:
                                            - 1
                                        locator:
                                          type: object
                                          properties:
                                            schemaVersion:
                                              enum:
                                                - 1
                                            validationId:
                                              type: string
                                              format: uuid
                                            organizationId:
                                              type: string
                                              format: uuid
                                            workspaceId:
                                              type: string
                                              format: uuid
                                            repository:
                                              type: object
                                              properties:
                                                provider:
                                                  enum:
                                                    - github
                                                    - gitlab
                                                    - bitbucket
                                                    - azure-devops
                                                  type: string
                                                id:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 256
                                              required:
                                                - provider
                                                - id
                                              additionalProperties: false
                                            findingIdentityId:
                                              type: string
                                              format: uuid
                                            findingOccurrenceId:
                                              type: string
                                              minLength: 1
                                              maxLength: 256
                                            scanId:
                                              type: string
                                              format: uuid
                                          required:
                                            - schemaVersion
                                            - validationId
                                            - organizationId
                                            - workspaceId
                                            - repository
                                            - findingIdentityId
                                            - findingOccurrenceId
                                            - scanId
                                          additionalProperties: false
                                        taskId:
                                          type: string
                                          minLength: 1
                                          maxLength: 256
                                        writerGeneration:
                                          type: integer
                                          minimum: 0
                                          maximum: 9007199254740991
                                        sequence:
                                          type: integer
                                          minimum: 0
                                          maximum: 9007199254740991
                                        executionStatus:
                                          enum:
                                            - queued
                                            - running
                                            - waiting
                                            - completed
                                            - canceled
                                            - failed
                                          type: string
                                        occurredAt:
                                          type: string
                                          format: date-time
                                        reason:
                                          anyOf:
                                            - type: object
                                              properties:
                                                code:
                                                  enum:
                                                    - setup_failed
                                                    - missing_dependency
                                                    - authentication_fixture_failed
                                                    - source_changed
                                                    - timeout
                                                    - canceled
                                                    - invalid_test
                                                    - execution_failed
                                                    - insufficient_evidence
                                                    - evidence_publication_failed
                                                  type: string
                                                message:
                                                  type: string
                                                  minLength: 1
                                                  maxLength: 4096
                                              required:
                                                - code
                                                - message
                                              additionalProperties: false
                                            - type: string
                                              nullable: true
                                              enum:
                                                - null
                                      required:
                                        - schemaVersion
                                        - locator
                                        - taskId
                                        - writerGeneration
                                        - sequence
                                        - executionStatus
                                        - occurredAt
                                        - reason
                                      additionalProperties: false
                                    - type: string
                                      nullable: true
                                      enum:
                                        - null
                              required:
                                - schemaVersion
                                - status
                                - locator
                                - progress
                              additionalProperties: false
                            - type: object
                              properties:
                                schemaVersion:
                                  enum:
                                    - 1
                                status:
                                  enum:
                                    - available
                                receipt:
                                  type: object
                                  properties:
                                    schemaVersion:
                                      enum:
                                        - 1
                                    locator:
                                      type: object
                                      properties:
                                        schemaVersion:
                                          enum:
                                            - 1
                                        validationId:
                                          type: string
                                          format: uuid
                                        organizationId:
                                          type: string
                                          format: uuid
                                        workspaceId:
                                          type: string
                                          format: uuid
                                        repository:
                                          type: object
                                          properties:
                                            provider:
                                              enum:
                                                - github
                                                - gitlab
                                                - bitbucket
                                                - azure-devops
                                              type: string
                                            id:
                                              type: string
                                              minLength: 1
                                              maxLength: 256
                                          required:
                                            - provider
                                            - id
                                          additionalProperties: false
                                        findingIdentityId:
                                          type: string
                                          format: uuid
                                        findingOccurrenceId:
                                          type: string
                                          minLength: 1
                                          maxLength: 256
                                        scanId:
                                          type: string
                                          format: uuid
                                      required:
                                        - schemaVersion
                                        - validationId
                                        - organizationId
                                        - workspaceId
                                        - repository
                                        - findingIdentityId
                                        - findingOccurrenceId
                                        - scanId
                                      additionalProperties: false
                                    taskId:
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                    testedRevision:
                                      anyOf:
                                        - type: string
                                          pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                        - type: string
                                          nullable: true
                                          enum:
                                            - null
                                    manifest:
                                      type: object
                                      properties:
                                        artifactId:
                                          type: string
                                          pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                        sha256:
                                          type: string
                                          pattern: ^[a-f0-9]{64}$
                                      required:
                                        - artifactId
                                        - sha256
                                      additionalProperties: false
                                    conclusion:
                                      enum:
                                        - reproduced
                                        - not_reproduced
                                        - inconclusive
                                      type: string
                                    summary:
                                      type: string
                                      minLength: 1
                                      maxLength: 4096
                                    reason:
                                      anyOf:
                                        - type: object
                                          properties:
                                            code:
                                              enum:
                                                - setup_failed
                                                - missing_dependency
                                                - authentication_fixture_failed
                                                - source_changed
                                                - timeout
                                                - canceled
                                                - invalid_test
                                                - execution_failed
                                                - insufficient_evidence
                                                - evidence_publication_failed
                                              type: string
                                            message:
                                              type: string
                                              minLength: 1
                                              maxLength: 4096
                                          required:
                                            - code
                                            - message
                                          additionalProperties: false
                                        - type: string
                                          nullable: true
                                          enum:
                                            - null
                                    publishedAt:
                                      type: string
                                      format: date-time
                                  required:
                                    - schemaVersion
                                    - locator
                                    - taskId
                                    - testedRevision
                                    - manifest
                                    - conclusion
                                    - summary
                                    - reason
                                    - publishedAt
                                  additionalProperties: false
                              required:
                                - schemaVersion
                                - status
                                - receipt
                              additionalProperties: false
                            - type: object
                              properties:
                                schemaVersion:
                                  enum:
                                    - 1
                                status:
                                  enum:
                                    - unavailable
                                locator:
                                  type: object
                                  properties:
                                    schemaVersion:
                                      enum:
                                        - 1
                                    validationId:
                                      type: string
                                      format: uuid
                                    organizationId:
                                      type: string
                                      format: uuid
                                    workspaceId:
                                      type: string
                                      format: uuid
                                    repository:
                                      type: object
                                      properties:
                                        provider:
                                          enum:
                                            - github
                                            - gitlab
                                            - bitbucket
                                            - azure-devops
                                          type: string
                                        id:
                                          type: string
                                          minLength: 1
                                          maxLength: 256
                                      required:
                                        - provider
                                        - id
                                      additionalProperties: false
                                    findingIdentityId:
                                      type: string
                                      format: uuid
                                    findingOccurrenceId:
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                    scanId:
                                      type: string
                                      format: uuid
                                  required:
                                    - schemaVersion
                                    - validationId
                                    - organizationId
                                    - workspaceId
                                    - repository
                                    - findingIdentityId
                                    - findingOccurrenceId
                                    - scanId
                                  additionalProperties: false
                                reason:
                                  enum:
                                    - not_published
                                failure:
                                  type: object
                                  properties:
                                    code:
                                      enum:
                                        - setup_failed
                                        - missing_dependency
                                        - authentication_fixture_failed
                                        - source_changed
                                        - timeout
                                        - canceled
                                        - invalid_test
                                        - execution_failed
                                        - insufficient_evidence
                                        - evidence_publication_failed
                                      type: string
                                    message:
                                      type: string
                                      minLength: 1
                                      maxLength: 4096
                                  required:
                                    - code
                                    - message
                                  additionalProperties: false
                              required:
                                - schemaVersion
                                - status
                                - locator
                                - reason
                                - failure
                              additionalProperties: false
                            - type: object
                              properties:
                                schemaVersion:
                                  enum:
                                    - 1
                                status:
                                  enum:
                                    - unavailable
                                reason:
                                  enum:
                                    - expired
                                    - deleted
                                    - missing
                                    - corrupt
                                  type: string
                                receipt:
                                  type: object
                                  properties:
                                    schemaVersion:
                                      enum:
                                        - 1
                                    locator:
                                      type: object
                                      properties:
                                        schemaVersion:
                                          enum:
                                            - 1
                                        validationId:
                                          type: string
                                          format: uuid
                                        organizationId:
                                          type: string
                                          format: uuid
                                        workspaceId:
                                          type: string
                                          format: uuid
                                        repository:
                                          type: object
                                          properties:
                                            provider:
                                              enum:
                                                - github
                                                - gitlab
                                                - bitbucket
                                                - azure-devops
                                              type: string
                                            id:
                                              type: string
                                              minLength: 1
                                              maxLength: 256
                                          required:
                                            - provider
                                            - id
                                          additionalProperties: false
                                        findingIdentityId:
                                          type: string
                                          format: uuid
                                        findingOccurrenceId:
                                          type: string
                                          minLength: 1
                                          maxLength: 256
                                        scanId:
                                          type: string
                                          format: uuid
                                      required:
                                        - schemaVersion
                                        - validationId
                                        - organizationId
                                        - workspaceId
                                        - repository
                                        - findingIdentityId
                                        - findingOccurrenceId
                                        - scanId
                                      additionalProperties: false
                                    taskId:
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                    testedRevision:
                                      anyOf:
                                        - type: string
                                          pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                        - type: string
                                          nullable: true
                                          enum:
                                            - null
                                    manifest:
                                      type: object
                                      properties:
                                        artifactId:
                                          type: string
                                          pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                        sha256:
                                          type: string
                                          pattern: ^[a-f0-9]{64}$
                                      required:
                                        - artifactId
                                        - sha256
                                      additionalProperties: false
                                    conclusion:
                                      enum:
                                        - reproduced
                                        - not_reproduced
                                        - inconclusive
                                      type: string
                                    summary:
                                      type: string
                                      minLength: 1
                                      maxLength: 4096
                                    reason:
                                      anyOf:
                                        - type: object
                                          properties:
                                            code:
                                              enum:
                                                - setup_failed
                                                - missing_dependency
                                                - authentication_fixture_failed
                                                - source_changed
                                                - timeout
                                                - canceled
                                                - invalid_test
                                                - execution_failed
                                                - insufficient_evidence
                                                - evidence_publication_failed
                                              type: string
                                            message:
                                              type: string
                                              minLength: 1
                                              maxLength: 4096
                                          required:
                                            - code
                                            - message
                                          additionalProperties: false
                                        - type: string
                                          nullable: true
                                          enum:
                                            - null
                                    publishedAt:
                                      type: string
                                      format: date-time
                                  required:
                                    - schemaVersion
                                    - locator
                                    - taskId
                                    - testedRevision
                                    - manifest
                                    - conclusion
                                    - summary
                                    - reason
                                    - publishedAt
                                  additionalProperties: false
                              required:
                                - schemaVersion
                                - status
                                - reason
                                - receipt
                              additionalProperties: false
                        - anyOf:
                            - type: object
                              properties:
                                schemaVersion:
                                  enum:
                                    - 2
                                status:
                                  enum:
                                    - available
                                receipt:
                                  type: object
                                  properties:
                                    schemaVersion:
                                      enum:
                                        - 2
                                    mode:
                                      enum:
                                        - manual_reproducer
                                    guideStatus:
                                      enum:
                                        - ready
                                        - partial
                                        - unavailable
                                      type: string
                                    locator:
                                      type: object
                                      properties:
                                        schemaVersion:
                                          enum:
                                            - 1
                                        validationId:
                                          type: string
                                          format: uuid
                                        organizationId:
                                          type: string
                                          format: uuid
                                        workspaceId:
                                          type: string
                                          format: uuid
                                        repository:
                                          type: object
                                          properties:
                                            provider:
                                              enum:
                                                - github
                                                - gitlab
                                                - bitbucket
                                                - azure-devops
                                              type: string
                                            id:
                                              type: string
                                              minLength: 1
                                              maxLength: 256
                                          required:
                                            - provider
                                            - id
                                          additionalProperties: false
                                        findingIdentityId:
                                          type: string
                                          format: uuid
                                        findingOccurrenceId:
                                          type: string
                                          minLength: 1
                                          maxLength: 256
                                        scanId:
                                          type: string
                                          format: uuid
                                      required:
                                        - schemaVersion
                                        - validationId
                                        - organizationId
                                        - workspaceId
                                        - repository
                                        - findingIdentityId
                                        - findingOccurrenceId
                                        - scanId
                                      additionalProperties: false
                                    taskId:
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                    testedRevision:
                                      type: string
                                      pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                    manifest:
                                      type: object
                                      properties:
                                        artifactId:
                                          type: string
                                          pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                        sha256:
                                          type: string
                                          pattern: ^[a-f0-9]{64}$
                                      required:
                                        - artifactId
                                        - sha256
                                      additionalProperties: false
                                    summary:
                                      type: string
                                      minLength: 1
                                      maxLength: 4096
                                    publishedAt:
                                      type: string
                                      format: date-time
                                  required:
                                    - schemaVersion
                                    - mode
                                    - guideStatus
                                    - locator
                                    - taskId
                                    - testedRevision
                                    - manifest
                                    - summary
                                    - publishedAt
                                  additionalProperties: false
                              required:
                                - schemaVersion
                                - status
                                - receipt
                              additionalProperties: false
                            - type: object
                              properties:
                                schemaVersion:
                                  enum:
                                    - 2
                                status:
                                  enum:
                                    - unavailable
                                reason:
                                  enum:
                                    - expired
                                    - deleted
                                    - missing
                                    - corrupt
                                  type: string
                                receipt:
                                  type: object
                                  properties:
                                    schemaVersion:
                                      enum:
                                        - 2
                                    mode:
                                      enum:
                                        - manual_reproducer
                                    guideStatus:
                                      enum:
                                        - ready
                                        - partial
                                        - unavailable
                                      type: string
                                    locator:
                                      type: object
                                      properties:
                                        schemaVersion:
                                          enum:
                                            - 1
                                        validationId:
                                          type: string
                                          format: uuid
                                        organizationId:
                                          type: string
                                          format: uuid
                                        workspaceId:
                                          type: string
                                          format: uuid
                                        repository:
                                          type: object
                                          properties:
                                            provider:
                                              enum:
                                                - github
                                                - gitlab
                                                - bitbucket
                                                - azure-devops
                                              type: string
                                            id:
                                              type: string
                                              minLength: 1
                                              maxLength: 256
                                          required:
                                            - provider
                                            - id
                                          additionalProperties: false
                                        findingIdentityId:
                                          type: string
                                          format: uuid
                                        findingOccurrenceId:
                                          type: string
                                          minLength: 1
                                          maxLength: 256
                                        scanId:
                                          type: string
                                          format: uuid
                                      required:
                                        - schemaVersion
                                        - validationId
                                        - organizationId
                                        - workspaceId
                                        - repository
                                        - findingIdentityId
                                        - findingOccurrenceId
                                        - scanId
                                      additionalProperties: false
                                    taskId:
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                    testedRevision:
                                      type: string
                                      pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                    manifest:
                                      type: object
                                      properties:
                                        artifactId:
                                          type: string
                                          pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                        sha256:
                                          type: string
                                          pattern: ^[a-f0-9]{64}$
                                      required:
                                        - artifactId
                                        - sha256
                                      additionalProperties: false
                                    summary:
                                      type: string
                                      minLength: 1
                                      maxLength: 4096
                                    publishedAt:
                                      type: string
                                      format: date-time
                                  required:
                                    - schemaVersion
                                    - mode
                                    - guideStatus
                                    - locator
                                    - taskId
                                    - testedRevision
                                    - manifest
                                    - summary
                                    - publishedAt
                                  additionalProperties: false
                              required:
                                - schemaVersion
                                - status
                                - reason
                                - receipt
                              additionalProperties: false
                        - anyOf:
                            - type: object
                              properties:
                                schemaVersion:
                                  enum:
                                    - 3
                                status:
                                  enum:
                                    - available
                                receipt:
                                  type: object
                                  properties:
                                    schemaVersion:
                                      enum:
                                        - 3
                                    mode:
                                      enum:
                                        - qa_reproducer
                                    locator:
                                      type: object
                                      properties:
                                        schemaVersion:
                                          enum:
                                            - 1
                                        validationId:
                                          type: string
                                          format: uuid
                                        organizationId:
                                          type: string
                                          format: uuid
                                        workspaceId:
                                          type: string
                                          format: uuid
                                        repository:
                                          type: object
                                          properties:
                                            provider:
                                              enum:
                                                - github
                                                - gitlab
                                                - bitbucket
                                                - azure-devops
                                              type: string
                                            id:
                                              type: string
                                              minLength: 1
                                              maxLength: 256
                                          required:
                                            - provider
                                            - id
                                          additionalProperties: false
                                        findingIdentityId:
                                          type: string
                                          format: uuid
                                        findingOccurrenceId:
                                          type: string
                                          minLength: 1
                                          maxLength: 256
                                        scanId:
                                          type: string
                                          format: uuid
                                      required:
                                        - schemaVersion
                                        - validationId
                                        - organizationId
                                        - workspaceId
                                        - repository
                                        - findingIdentityId
                                        - findingOccurrenceId
                                        - scanId
                                      additionalProperties: false
                                    taskId:
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                    testedRevision:
                                      type: string
                                      pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                    manifest:
                                      type: object
                                      properties:
                                        artifactId:
                                          type: string
                                          pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                        sha256:
                                          type: string
                                          pattern: ^[a-f0-9]{64}$
                                      required:
                                        - artifactId
                                        - sha256
                                      additionalProperties: false
                                    guide:
                                      type: object
                                      properties:
                                        validationId:
                                          type: string
                                          format: uuid
                                        manifest:
                                          type: object
                                          properties:
                                            artifactId:
                                              type: string
                                              pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                            sha256:
                                              type: string
                                              pattern: ^[a-f0-9]{64}$
                                          required:
                                            - artifactId
                                            - sha256
                                          additionalProperties: false
                                      required:
                                        - validationId
                                        - manifest
                                      additionalProperties: false
                                    conclusion:
                                      enum:
                                        - reproduced
                                        - not_reproduced
                                        - inconclusive
                                      type: string
                                    summary:
                                      type: string
                                      minLength: 1
                                      maxLength: 4096
                                    reason:
                                      anyOf:
                                        - type: object
                                          properties:
                                            code:
                                              enum:
                                                - setup_failed
                                                - missing_dependency
                                                - authentication_fixture_failed
                                                - source_changed
                                                - timeout
                                                - canceled
                                                - invalid_test
                                                - execution_failed
                                                - insufficient_evidence
                                                - evidence_publication_failed
                                              type: string
                                            message:
                                              type: string
                                              minLength: 1
                                              maxLength: 4096
                                          required:
                                            - code
                                            - message
                                          additionalProperties: false
                                        - type: string
                                          nullable: true
                                          enum:
                                            - null
                                    publishedAt:
                                      type: string
                                      format: date-time
                                  required:
                                    - schemaVersion
                                    - mode
                                    - locator
                                    - taskId
                                    - testedRevision
                                    - manifest
                                    - guide
                                    - conclusion
                                    - summary
                                    - reason
                                    - publishedAt
                                  additionalProperties: false
                              required:
                                - schemaVersion
                                - status
                                - receipt
                              additionalProperties: false
                            - type: object
                              properties:
                                schemaVersion:
                                  enum:
                                    - 3
                                status:
                                  enum:
                                    - unavailable
                                reason:
                                  enum:
                                    - expired
                                    - deleted
                                    - missing
                                    - corrupt
                                  type: string
                                receipt:
                                  type: object
                                  properties:
                                    schemaVersion:
                                      enum:
                                        - 3
                                    mode:
                                      enum:
                                        - qa_reproducer
                                    locator:
                                      type: object
                                      properties:
                                        schemaVersion:
                                          enum:
                                            - 1
                                        validationId:
                                          type: string
                                          format: uuid
                                        organizationId:
                                          type: string
                                          format: uuid
                                        workspaceId:
                                          type: string
                                          format: uuid
                                        repository:
                                          type: object
                                          properties:
                                            provider:
                                              enum:
                                                - github
                                                - gitlab
                                                - bitbucket
                                                - azure-devops
                                              type: string
                                            id:
                                              type: string
                                              minLength: 1
                                              maxLength: 256
                                          required:
                                            - provider
                                            - id
                                          additionalProperties: false
                                        findingIdentityId:
                                          type: string
                                          format: uuid
                                        findingOccurrenceId:
                                          type: string
                                          minLength: 1
                                          maxLength: 256
                                        scanId:
                                          type: string
                                          format: uuid
                                      required:
                                        - schemaVersion
                                        - validationId
                                        - organizationId
                                        - workspaceId
                                        - repository
                                        - findingIdentityId
                                        - findingOccurrenceId
                                        - scanId
                                      additionalProperties: false
                                    taskId:
                                      type: string
                                      minLength: 1
                                      maxLength: 256
                                    testedRevision:
                                      type: string
                                      pattern: ^(?:[a-f0-9]{40}|[a-f0-9]{64})$
                                    manifest:
                                      type: object
                                      properties:
                                        artifactId:
                                          type: string
                                          pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                        sha256:
                                          type: string
                                          pattern: ^[a-f0-9]{64}$
                                      required:
                                        - artifactId
                                        - sha256
                                      additionalProperties: false
                                    guide:
                                      type: object
                                      properties:
                                        validationId:
                                          type: string
                                          format: uuid
                                        manifest:
                                          type: object
                                          properties:
                                            artifactId:
                                              type: string
                                              pattern: ^[A-Za-z0-9][A-Za-z0-9_-]{0,127}$
                                            sha256:
                                              type: string
                                              pattern: ^[a-f0-9]{64}$
                                          required:
                                            - artifactId
                                            - sha256
                                          additionalProperties: false
                                      required:
                                        - validationId
                                        - manifest
                                      additionalProperties: false
                                    conclusion:
                                      enum:
                                        - reproduced
                                        - not_reproduced
                                        - inconclusive
                                      type: string
                                    summary:
                                      type: string
                                      minLength: 1
                                      maxLength: 4096
                                    reason:
                                      anyOf:
                                        - type: object
                                          properties:
                                            code:
                                              enum:
                                                - setup_failed
                                                - missing_dependency
                                                - authentication_fixture_failed
                                                - source_changed
                                                - timeout
                                                - canceled
                                                - invalid_test
                                                - execution_failed
                                                - insufficient_evidence
                                                - evidence_publication_failed
                                              type: string
                                            message:
                                              type: string
                                              minLength: 1
                                              maxLength: 4096
                                          required:
                                            - code
                                            - message
                                          additionalProperties: false
                                        - type: string
                                          nullable: true
                                          enum:
                                            - null
                                    publishedAt:
                                      type: string
                                      format: date-time
                                  required:
                                    - schemaVersion
                                    - mode
                                    - locator
                                    - taskId
                                    - testedRevision
                                    - manifest
                                    - guide
                                    - conclusion
                                    - summary
                                    - reason
                                    - publishedAt
                                  additionalProperties: false
                              required:
                                - schemaVersion
                                - status
                                - reason
                                - receipt
                              additionalProperties: false
                  next_cursor:
                    anyOf:
                      - type: string
                      - type: string
                        nullable: true
                        enum:
                          - null
                required:
                  - attempts
                  - next_cursor
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - invalid_request
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - unauthenticated
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - forbidden
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - not_found
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: '409'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - head_changed
                          - conflict
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '412':
          description: '412'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - precondition_failed
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '413':
          description: '413'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - payload_too_large
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - rate_limit_exceeded
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - internal_error
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '503':
          description: '503'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unavailable
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-coderabbitai-api-key
      description: >-
        API key for authentication. You can create an API key from the
        CodeRabbit dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.